{
  programs.zsh = {
    enable = true;
    shellAliases = {
      clean = "sudo nix-env --delete-generations old --profile /nix/var/nix/profiles/system && sudo /nix/var/nix/profiles/system/bin/switch-to-configuration switch && sudo nix-store --gc";
    };
    shellInit = ''
      function rebuild () {
        sudo nixos-rebuild switch --flake "/home/leonv/nixos?submodules=1"
        sudo cp -r /home/leonv/nixos /etc/
      }
    '';
    ohMyZsh = {
      enable = true;
      plugins = [ "git" ];
      theme = "dpoggi";
    };
  };
}
