{ pkgs, ... }:
{
  # dynamic dns
  users.users.ddns = {
    isSystemUser = true;
    group = "ddns";
  };
  users.groups.ddns = {};
  systemd.services.ddns-updater = {
    enable = true;
    serviceConfig.User = "ddns";
    path = [ pkgs.curl ];
    script = "${../../nix-secrets/dafoe/ddns/update}";
    startAt = "hourly";
  };
}
