{ pkgs, ... }:
{
  services.nextcloud = {
    enable = true;
    package = pkgs.nextcloud29;
    hostName = "cloud.vatthauer.xyz";
    https = true;
    config.adminuser = "admin";
    config.adminpassFile = "${../../nix-secrets/dafoe/nextcloud/adminpass}";
    configureRedis = true;
    maxUploadSize = "1G";
    #nginx.enable = true;
    settings.overwriteProtocol = "https";
  };
}
