{
  programs.git = {
    enable = true;
    lfs.enable = true;
    extraConfig = {
      init = {
        defaultBranch = "main";
      };
    };
    includes = [ 
      {
        contents = {
          gpg.format = "ssh";
          user = {
            name = "Leon Vatthauer";
            email = "leon.vatthauer@fau.de";
            signingkey = "~/.ssh/git";
          };
          commit.gpgsign = true;
        };
      }
    ];
  };
}
