{ pkgs, ... }:
{
    programs.neovim = {
        plugins = with pkgs.vimPlugins; [
            {
                plugin = Coqtail;
                config = ''
                    nnoremap <A-down> <Plug>CoqNext<Plug>CoqJumpToEnd
                    nnoremap <A-up> <Plug>CoqUndo<Plug>CoqJumpToEnd
                    nnoremap <A-right> <Plug>CoqToLine
                '';
            }
        ];
    };
}
