# haskell integration, adapted from @srid
# https://github.com/srid/nixos-config/blob/master/home/neovim/haskell.nix

{ pkgs, ... }:
{
  programs.neovim = {
    plugins = with pkgs.vimPlugins; [
      haskell-vim
      vim-hoogle
    ];
    extraLuaConfig = ''
    -- Setup language servers.
    local lspconfig = require('lspconfig')
    lspconfig.hls.setup {}
    '';
    
  };
}