{ pkgs, ...}:
{
  programs.vim = {
    enable = true;
    extraConfig = import ./vimrc.nix;
    plugins = with pkgs.vimPlugins; [
        # specific language support
        vim-nix
        Coqtail
        vimtex

        # general plugins
        nerdtree 
        fugitive 
        nerdtree-git-plugin 
        vim-lsp 
        vim-snippets 
        lightline-vim 
        vim-colorschemes 

        # CoC
        coc-nvim 
        coc-git 
        coc-snippets 
    ];
    defaultEditor = true;
  };
}