{
  services.restic.backups = {
    giteaBackup = {
      paths = [ "/forgejo/dump" ];
      environmentFile = "${../../nix-secrets/dafoe/gitea/backupCreds}";
      passwordFile = "${../../nix-secrets/dafoe/restic/password}";
      repository = "b2:gitea-willem";
      initialize = true;
      timerConfig = {
        OnCalendar = "04:00";
        Persistent = true;
      };
    };
  };
}
