{ stdenv, git, go, hugo }:
stdenv.mkDerivation {
  name = "resumee-website";
  version = "1.0";
  src = builtins.fetchGit {
    url = "https://git.vatthauer.xyz/leonv/resumee-website.git";
    rev = "5cd0f5bb30da8d7297a15be3704e4d9efc73d8b4";
  };
  nativeBuildInputs = [ git go hugo ];
  buildPhase = "hugo -d $out";
  outputHashAlgo = "sha256";
  outputHashMode = "recursive";
  outputHash = "sha256-BReyv7kH/dSd0xcISbCA8AFing7uFkghkbjF24pU0Og=";
}

