# ISO
This "host" is used for generating a bootable (flakes-enabled) NixOS image with sane default programs.

The image contains the following:

- Plasma 6 as graphical environment
- Calamares installer
- Git
- Vim
- Parted
- GParted

The graphical environment will autologin to the user `nixos`, alternatively there is a default user `leonv` with password `leonv`.

## Building the Image
```sh
nix build .#nixosConfigurations.iso.config.system.build.isoImage
```